The Poetry team is pleased to announce the immediate availability of Poetry 1.1.3.

This release is a bugfix release.

If you have a previous version of Poetry installed via the official installer, getting Poetry 1.1.3 is as easy as:

$ poetry self update

Changes

  • Python version support deprecation warning is now written to stderr. (#3131)

Fixes

  • Fixed KeyError when PATH is not defined in environment variables. (#3159)
  • Fixed error when using config command in a directory with an existing pyproject.toml without any Poetry configuration. (#3172)
  • Fixed incorrect inspection of package requirements when same dependency is specified multiple times with unique markers. (#3147)
  • Fixed show command to use already resolved package metadata. (#3117)
  • Fixed multiple issues with export command output when using requirements.txt format. (#3119)
View Comments